# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

- org.apache.lucene.search.highlight.Highlighter
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_CHARS_TO_ANALYZE`
  `51200`

- org.apache.lucene.search.uhighlight.UnifiedHighlighter
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_CACHE_CHARS_THRESHOLD`
  `524288`
  `public static final int`
  `DEFAULT_MAX_LENGTH`
  `10000`
  `protected static final char`
  `MULTIVAL_SEP_CHAR`
  `'\u0000'`

- org.apache.lucene.search.vectorhighlight.BaseFragListBuilder
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MARGIN_DEFAULT`
  `6`
  `public static final int`
  `MIN_FRAG_CHAR_SIZE_FACTOR`
  `3`
- org.apache.lucene.search.vectorhighlight.FastVectorHighlighter
  Modifier and Type
  Constant Field
  Value
  `public static final boolean`
  `DEFAULT_FIELD_MATCH`
  `true`
  `public static final boolean`
  `DEFAULT_PHRASE_HIGHLIGHT`
  `true`
- org.apache.lucene.search.vectorhighlight.SimpleBoundaryScanner
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_SCAN`
  `20`